:root {
    --primary-color: #000000;
    --primary-color-text: #FFF;
    --secondary-color: #3639fc;
    --terciary-color: #ee7d1a;
}

html {
    box-sizing: border-box;
    font-size: 62.5%;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

h1 {
    font-size: 3.8rem;
}

h2 {
    font-size: 3.4rem;
}

h3 {
    font-size: 3rem;
}

h4 {
    font-size: 2.6rem;
}



body {
    background-color: var(--primary-color);
    font-family: "Roboto", sans-serif;
}

button:hover {
    cursor: pointer;
}

ul, li {
    list-style: none;
}

a {
    text-decoration: none;
}


/* NAVBAR */

.container__navbar {
    width: 100%;
    height: 14rem;
    padding: 1rem 0;
    position: fixed;
    z-index: 3000;
    background-color: var(--primary-color);
}

.navbar__navbar {
    width: 80%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    height: 13rem;
}

.logo__item img {
    width: 10rem;
    height: 10rem;
}

/* MENU */

.navbar__menu {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80%;
    margin: 0 auto;
}

.menu__list {
    display: flex;
    flex-wrap: wrap;
    font-size: 1.6rem;
    list-style: none;
}

.list__second-row {
    display: flex;
    justify-content: center;
    width: 100%;
}

.menu__list li {
    padding: 1.2rem 0.5rem;
}

.list__item {
    color: var(--primary-color-text);
    font-weight: 500;
    text-decoration: none;
    margin: 2rem 4rem;
}

.list__item:hover {
    color: var(--secondary-color);
    transition: all 300ms ease-in-out;
}

.menu__active {
    color: var( --secondary-color);
}

/* NAVEGACION RESPONSIVE  */

.navbar__mobile-btn {
    display: none;
    cursor: pointer;
}

.menu-mobile {
    display: none;
}

.menu-mobile {
    visibility: hidden;
    opacity: 0;
    position: fixed;
    top: 0;
    left: -300px;
    width: 30rem;
    z-index: 10;
    height: 100%;
    transition: all 400ms ease-in-out;
    background-color: var(--primary-secondary);
    padding: 5rem 1rem;
    padding-top: 0;
    box-shadow: 0px 0px 85px -35px rgba(0, 0, 0, 0.5);
    overflow-y: auto;
}


.menu-mobile--show {
    display: block;
    visibility: visible;
    background: var(--primary-color);
    box-shadow: 0px 0px 2px 1px var(--primary-color-text);
    opacity: 1;
    left: 0;
}


.menu-mobile__icon {
    font-size: 1.4rem;
}

.menu-mobile__close {
    background-color: transparent;
    height: 3.5rem;
    width: 3.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid #e3e6e9;
    border-radius: 1rem;
    color: #e3e6e9;
    filter: brightness(0.9);
    font-size: 1.6rem;
    cursor: pointer;
}

/* NAVBAR BUTTON  */

.navbar__button {
    display: flex;
    justify-content: center;
    width: 16%;
    align-items: center;
}

.button__item,
.right__button {
    padding: 2rem;
    background-color: var(--secondary-color);
    color: var(--primary-color-text);
    font-size: 1.5rem;
    font-weight: 700;
    border: none;
}

.button__item:hover {
    transition: all 300ms ease-in-out;
    color: var(--primary-color);
    box-shadow: 1px 1px 8px 1px var(--primary-color-text)
    
}

/* HEADER  */

.image {
    background-image: url(../img/index-header.png);
    background-position: center center;
    background-size: cover;
    height: 80rem;
    padding-top: 5rem;
}

.image-saturday {
    background-image: url(../img/saturday-header.png);
    background-position: center center;
    background-size: cover;
    height: 80rem;
    padding-top: 5rem;
}

.image__whats-on {
    background-image: url(../img/whats-on.png);
    background-position: center center;
    background-size: cover;
    height: 80vh;
    padding-top: 5rem;
    margin-bottom: 10rem;
}


/* MAIN   */

.container__main {
    width: 60%;
    margin: 7rem auto;
}

.main__container {
    margin: 10rem 0;
    border-top: 1px solid var(--primary-color-text);
}

.main__box {
    display: flex;
    margin-top: 8rem;
    margin-bottom: 5rem;
    border-bottom: 1px solid var(--primary-color-text);
    padding-bottom: 5rem;
}

.box__left {
    margin-right: 2.8rem;
}

.box__left img {
    width: 400px;
}

.box__right {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
}

.right__title {
    font-size: 3.2rem;
    color: var(--secondary-color);
}

.right__subtitle,
.right__paragraph {
    color: var(--primary-color-text);
}

.right__subtitle {
    font-size: 1.8rem;
    margin: 1rem 0 2rem 0;
}

.right__paragraph {
    font-size: 1.6rem
}

.right__button {
    width: 50%;
}

.right__button:hover{
    transition: all 300ms ease-in-out;
    color: var(--primary-color);
    box-shadow: 1px 1px 8px 1px var(--primary-color-text)
}

.section__images {
    width: 100%;
    display: flex;
}

.section__images img {
    width: 33%;
}

/* FOOTER SECTION  */

.footer__footer {
    width: 100%;
    padding: 8rem 0rem;
}

.footer__container {
    width: 60%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.footer__logo {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.footer__text {
    color: var(--primary-color-text);
    text-decoration: none;
    font-size: 1.6rem;
}

.footer__anchor:hover {
    color: var(--primary-color-text);
}

.footer__title {
    color: var(--secondary-color);
    font-size: 1.8rem;
    font-weight: 800;
}

.footer__add-information {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}


/* WHAT'S ON PAGE  */

.header__title {
    font-size: 7.7rem;
    color: var(--primary-color-text);
    z-index: 101;
}

.header__img {
    width: 100%;
    height: 95vh;
    z-index: -2000;
    filter: brightness(0.9);
}

.main__title {
    color: var(--secondary-color);
    font-size: 4rem;
    margin-bottom: 7rem;
    text-align: center;
}

.main__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
}

.main__grid img {
    width: 100%;
}

/* SATURDAY PAGE  */

.main__saturday {
    margin: 6rem auto 4rem;
    width: 60%;
    text-align: center;
}

.main__title--saturday {
    margin-bottom: 3rem;
}



.main__paragraph--1,
.main__paragraph--2,
.main__paragraph--3,
.main__paragraph--4 {
    font-size: 1.8rem;
    color: var(--primary-color-text);
    font-weight: 600;
    line-height: 2;
}

.main__paragraph--2 {
    margin: 0 auto;
}

.main__paragraph--2 {
    margin-top: 2.8rem;
}

.border__bottom {
    padding-bottom: 6rem;
    border-bottom: 1px solid var(--primary-color-text);
}

.main__next-saturday {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.main__next-saturday img {
    width: 60%;
}


/* HAPPY HOURS PAGE  */

.img__happy-hours {
    background-size: cover;
    background-position: center right;
    filter: brightness(1);
}

.container__header--title {
    height: 60vh;
    width: 100%;
    position: absolute;
    top: 11rem;
    z-index: 1000;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.container__video video {
    filter: blur(3px);
    width: 100%;
}


.video {
    height: 90vh;
}

.mt-relative {
    margin-top: 3rem;
}

.paragraph__text {
    font-weight: 400;
}


.main__happy-hour {
    width: 100%;
    margin-top: 5rem;
    display: flex;
}

.main__img--container {
    width: 30%;
}

.main__img--happy-hour {
    width: 100%;
    margin: 0 auto;
    height: 100%;
}

.main__happy-hour--right {
    width: 75%;
    margin-left: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: start;
}

.button__item-happy-hour {
    width: 20rem;
    margin-left: 3rem;
}

.main__title--happy-hour {
    margin-bottom: 3rem;
}

.main__grid--happy-hours {
    margin-top: 3rem;
    display: flex;
    justify-content: space-between;
}

.main__grid--happy-hours img {
    width: 31%;
}


/* SUNDAY SOCIAL PAGE  */

.button__sunday__social {
    padding: 2rem;
    width: 40%;
    margin: 4rem 0 3rem 0;
    background-color: var(--terciary-color);
    color: var(--primary-color-text);
    font-size: 1.5rem;
    font-weight: 700;
    border: none;
}

.button__sunday__social:hover {
    transition: all 300ms ease-in-out;
    background-color: var(--primary-color-text);
    color: var(--primary-color);
    box-shadow: 1px 1px 8px 1px var(--primary-color-text)
}

.top__line {
    border-top: 1px solid var(--primary-color-text);
    width: 70%;
    margin: 0 auto;
}

.main__sunday-social {
    display: flex;
    justify-content: center;
}

.main__sunday-social img {
    margin-top: 4.5rem;
    width: 100%;
}

.main__corousel {
    margin-top: 10rem;
}

.carousel-item img {
    height: 50vh;
    background-size: contain;
}
